Ticket #403 (closed 新規開発: 修正済)

Opened 12 years ago

Last modified 10 years ago

インクルードしているライブラリ群をバージョンアップする

Reported by: fukuran Owned by: somebody
Priority: Milestone: EC-CUBE2.11.1
Component: フロント Version: コミュニティ (eccube-comu)
Keywords: Cc:
修正済み:

Description (last modified by nanasess) (diff)

Smarty,PEARなどインクルードしているライブラリ群をバージョンアップする

バージョンアップを制限するもの

  • MDB2 2.5.0b2 で固定 (それより新しいバージョンは PHP4 サポート外のため)

関連チケット

#854

Change History

comment:1 Changed 11 years ago by Seasoft

  • Version changed from 2.4.0RC-1 to 2.4.0

コミュニティは r17877 にて PEAR::DB を Ver.1.7.14RC1(2007-11-27)ベースに更改しました。

comment:2 Changed 11 years ago by Seasoft

フォーラムにて AMUAMU 様から Net_UserAgent_Mobile の改定版に関する提供がありました。

 http://xoops.ec-cube.net/modules/newbb/viewtopic.php?topic_id=4238&forum=5

comment:3 Changed 11 years ago by AMUAMU

動作に問題が無さそうなので r18188 にてNet_userAgent_Mobileを Version 1.0.0(stable)ベースにアップデートしました。

comment:4 Changed 11 years ago by nanasess

  • Milestone changed from EC-CUBE2.x.x to EC-CUBE2.5.0

comment:5 Changed 11 years ago by Seasoft

  • Version changed from 2.4.0 to コミュニティ (eccube-comu)

comment:6 Changed 10 years ago by Seasoft

コミュニティは r18650 にて、Smarty を 2.6.26 に更改しました。

comment:7 Changed 10 years ago by Seasoft

r18321

  • jQuery 1.2.6 → 1.3.2
  • jQuery UI 1.5.2 → 1.7.2
  • jQuery UI Sortable 2008 → 1.7.2(2009)

comment:8 Changed 10 years ago by Seasoft

関連

comment:9 Changed 10 years ago by nanasess

PEAR::Mail 1.2.0b5 以降は,

  • PHP Version: PHP 4.4.9 or newer

ということなので, EC-CUBE の動作要件に適合しないが, 必要としている機能は, PHP 4.4.9 以前でも使用可能である可能性もあるため, 要調査

comment:10 Changed 10 years ago by nanasess

PEAR は, 1.7.2 までが EC-CUBE の要件に適合  http://pear.php.net/package/PEAR/download/1.7.2

comment:11 Changed 10 years ago by Seasoft

  • Description modified (diff)

comment:12 Changed 10 years ago by nanasess

  • Milestone changed from EC-CUBE2.5.0beta to EC-CUBE2.5.1(仮)

comment:13 Changed 10 years ago by nanasess

  • Description modified (diff)

comment:14 Changed 10 years ago by kotani

  • Status changed from new to closed
  • Resolution set to 修正済

システム要件環境で、可能な限りのバージョンアップ済み

Note: See TracTickets for help on using tickets.